Holger's Java API

## com.antelmann.servlet
Interface HtmlSupported

All Known Implementing Classes:
  Money, Strings.Symbol

    public interface HtmlSupported

implementing classes support an HTML representation of themselves

Since:
  10.04.2009, 01:58:32
Author:
  Holger Antelmann

Method Summary
`String` `toHtml(Object context)` returns a String that contains valid HTML to be embedded in other HTML content

Method Detail

### toHtml

    String toHtml(Object context)
                  throws IOException

  returns a String that contains valid HTML to be embedded in other HTML content

  Parameters:
    `context` - depending on the caller, this value may denote the servlet request, JSF context or a null value
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads